from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFrameLoaderQuery(XInterface, Protocol):
    def getAvailableFilterNames(self) -> list[str]: ...
    def getLoaderProperties(self, sFilterName: str) -> list[PropertyValue]: ...
    def searchFilter(self, sURL: str, seqArguments: PropertyValue >) -> str: ...
